Bug 205096 - should have relative paths in default config and should make sensible use of absolute paths
should have relative paths in default config and should make sensible use of ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: logwatch (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-04 00:06 EDT by Russell Coker
Modified: 2008-07-24 16:01 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0750
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 16:01:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Coker 2006-09-04 00:06:15 EDT
/etc/log.d/conf/logfiles/exim.conf has the logfile of /var/log/exim/main.log,
this should be exim/main.log.

/etc/log.d/conf/logfiles/pureftp.conf has the logfile of
/var/log/pureftp/syslog.log, this should be pureftp/syslog.log.

Below is the strace output showing what the logwatch scripts try to open. 
/u3f2/log is where I am storing my logs.  Log files that are under /var/log
should have relative paths.  For the case of log files such as
/var/spool/autorpm/install.log the correct thing to do would be to not pre-pend
directories to absolute paths.

Finally /var/log and /var/adm should not be searched unconditionally.  There
should be a config variable containing an array of directories to be searched in
order, "/var/log" would be the default for such an array, but the sys-admin
should be free to add others as necessary.

/root/str.29762:stat64("/u3f2/log//var/log/pureftp/syslog.log", 0x81ac0c8) = -1
ENOENT (No such file or directory)
/root/str.29762:stat64("/var/adm//var/log/pureftp/syslog.log", 0x81ac0c8) = -1
ENOENT (No such file or directory)
/root/str.29762:stat64("/var/log//var/log/pureftp/syslog.log", 0x81ac0c8) = -1
ENOENT (No such file or directory)
/root/str.29811:execve("/bin/sh", ["sh", "-c", "/bin/cat
/var/log/pureftp/syslog"...], [/* 28 vars */]) = 0
/root/str.29812:execve("/bin/cat", ["/bin/cat", "/var/log/pureftp/syslog.log"],
[/* 28 vars */])                                = 0
/root/str.29812:open("/var/log/pureftp/syslog.log", O_RDONLY|O_LARGEFILE) = -1
ENOENT (No such file or directory)
/root/str.29812:write(2, "/var/log/pureftp/syslog.log", 27) = 27
Comment 1 Ivana Varekova 2007-10-26 05:07:11 EDT
Putting on the proposed list.
Comment 2 RHEL Product and Program Management 2007-11-28 23:24:37 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 errata-xmlrpc 2008-07-24 16:01:09 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0750.html

Note You need to log in before you can comment on or make changes to this bug.